# Architecture

@Incubating
enum Architecture

Constants for various processor architectures Gradle runs on.

#### Since

7.6

## Entries

X86
Link copied to clipboard
@Incubating
X86

32-bit complex instruction set computer (CISC) architectures, including "x32", "i386", "x86"..

X86_64
Link copied to clipboard
@Incubating
X86_64

64-bit variant of the X86 instruction set, including "x64", "x86_64", "amd64", "ia64".

AARCH64
Link copied to clipboard
@Incubating
AARCH64

64-bit reduced instruction set computer (RISC) architectures, including "aarch64", "arm64".

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): Architecture

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Architecture>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.